Bug 1309728 - ssm list is slow
ssm list is slow
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: system-storage-manager (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lukáš Czerner
Filesystem QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 09:56 EST by Marko Myllynen
Modified: 2016-02-24 07:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-24 07:20:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2016-02-18 09:56:05 EST
Description of problem:
# time ssm list > /dev/null 2>&1

real    0m12.105s
user    0m0.198s
sys     0m0.431s
# ssm list | wc -l
66
# 

Version-Release number of selected component (if applicable):
system-storage-mananger-0.4-5
Comment 2 Lukáš Czerner 2016-02-22 09:30:42 EST
Hi,

thanks for the report, could you please provide the output and the duration of the following script ?

#!/bin/bash
echo 3 > /proc/sys/vm/drop_caches
echo "=== partitions"
cat /proc/partitions
echo "=== pvs"
time pvs
echo "=== vgs"
time vgs
echo "=== lvs"
time lvs
echo "=== dmsetup table"
time dmsetup table
echo "=== lsblk"
time lsblk

Also can you please provide a separate times for:

ssm list dev
ssm list pool
ssm list vol

And lastly please provide the output of:

python -m cProfile -s cumtime /bin/ssm list

Thanks!
-Lukas
Comment 3 Marko Myllynen 2016-02-24 07:20:30 EST
I retested in the same lab now after some RHEL upgrades and rebooting the nodes, now ssm list feels instant and it takes less than one second to complete.

I think we can close this, probably a non-ssm hickup not worth investigating further here. If I see this again, I could of course provide the above information then.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.